Last Comment Bug 717631 - Selection in Scratchpad behaves strangely if selecting into the gutter
: Selection in Scratchpad behaves strangely if selecting into the gutter
Status: VERIFIED FIXED
[sourceeditor][orion][qa!]
: regression
Product: Firefox
Classification: Client Software
Component: Developer Tools: Scratchpad (show other bugs)
: Trunk
: All All
: P1 normal (vote)
: ---
Assigned To: Mihai Sucan [:msucan]
:
Mentors:
: 719015 729134 736494 (view as bug list)
Depends on: 718816
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-12 08:47 PST by Rob Campbell [:rc] (:robcee)
Modified: 2012-04-02 06:36 PDT (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
wontfix
verified


Attachments
[in-aurora] minimal patch for aurora (1.15 KB, patch)
2012-03-01 08:05 PST, Mihai Sucan [:msucan]
rcampbell: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review
minimal patch for beta (1.12 KB, patch)
2012-03-01 08:08 PST, Mihai Sucan [:msucan]
rcampbell: review+
Details | Diff | Splinter Review

Description Rob Campbell [:rc] (:robcee) 2012-01-12 08:47:26 PST
STR:

1. Open a Scratchpad
2. Select any line in the placeholder text, from right to left, extending into the gutter.

Expected results:

Line is selected.

Actual results:

Line is selected and then reselected repeatedly, flashing the selection area on screen.
Comment 1 Paul Rouget [:paul] 2012-01-18 08:01:37 PST
*** Bug 719015 has been marked as a duplicate of this bug. ***
Comment 2 Mihai Sucan [:msucan] 2012-01-25 08:29:20 PST
Bug triage. Filter on PEGASUS.
Comment 3 Rob Campbell [:rc] (:robcee) 2012-01-31 10:25:55 PST
boosting this to P1. It's important.
Comment 4 Mihai Sucan [:msucan] 2012-02-03 09:13:54 PST
Bug reported upstream:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=370548

... and included a proposed fix. Waiting only for review.
Comment 5 Mihai Sucan [:msucan] 2012-02-09 07:55:41 PST
This is going to be fixed by bug 718816.
Comment 6 Mihai Sucan [:msucan] 2012-02-21 09:56:15 PST
*** Bug 729134 has been marked as a duplicate of this bug. ***
Comment 7 Mihai Sucan [:msucan] 2012-02-22 12:34:11 PST
This should be fixed now. Please reopen if the problem persists. Thank you!
Comment 8 Mihai Sucan [:msucan] 2012-03-01 08:05:12 PST
Created attachment 601978 [details] [diff] [review]
[in-aurora] minimal patch for aurora

Minimal patch for Aurora. This does not require an Orion update.

[Approval Request Comment]
Regression caused by (bug #): according to hg blame it's bug 709006. Orion does not support changing paddings on line elements. This is something we've only recently learned.

User impact if declined: users will continue to see broken behavior when selecting text and moving the mouse into the gutter. Jarring effect.

Testing completed (on m-c, etc.): this fix has landed approximately a week ago in m-c as part of bug 718816 - users report no issues now.

Risk to taking this patch (and alternatives if risky): no risk. This is a CSS change.

String changes made by this patch: none.

Thank you!
Comment 9 Mihai Sucan [:msucan] 2012-03-01 08:08:47 PST
Created attachment 601979 [details] [diff] [review]
minimal patch for beta

Minimal patch that applies cleanly in the mozilla-beta repo.

[Approval Request Comment]
Regression caused by (bug #): bug 709006
User impact if declined: users will see broken behavior when they select text and move the mouse into the gutter.
Testing completed (on m-c, etc.): patch landed in m-c about a week ago - no reported regressions.
Risk to taking this patch (and alternatives if risky): none. This is a style change.
String changes made by this patch: none.
Comment 10 Rob Campbell [:rc] (:robcee) 2012-03-01 08:18:52 PST
Comment on attachment 601979 [details] [diff] [review]
minimal patch for beta

r+, basically the same patch.
Comment 11 Alex Keybl [:akeybl] 2012-03-01 17:56:19 PST
Comment on attachment 601979 [details] [diff] [review]
minimal patch for beta

[Triage Comment]
Apologies, but this doesn't meet the requirements of landing for our sixth beta. We're only taking sg:crit bugs, chemspill-worthy issues, and backouts to known states for sake of risk mitigation.
Comment 12 Alex Keybl [:akeybl] 2012-03-01 17:56:32 PST
Comment on attachment 601978 [details] [diff] [review]
[in-aurora] minimal patch for aurora

(approving for Aurora 12, however)
Comment 13 Mihai Sucan [:msucan] 2012-03-02 01:32:47 PST
Thanks for the Aurora approval Alex!


(In reply to Alex Keybl [:akeybl] from comment #11)
> Comment on attachment 601979 [details] [diff] [review]
> minimal patch for beta
> 
> [Triage Comment]
> Apologies, but this doesn't meet the requirements of landing for our sixth
> beta. We're only taking sg:crit bugs, chemspill-worthy issues, and backouts
> to known states for sake of risk mitigation.

This comment states that the patch is not approved for beta, but the flag is +. What's the case?
Comment 14 Mihai Sucan [:msucan] 2012-03-02 08:27:18 PST
Comment on attachment 601978 [details] [diff] [review]
[in-aurora] minimal patch for aurora

Landed:
https://hg.mozilla.org/releases/mozilla-aurora/rev/cf771f621858
Comment 15 Rob Campbell [:rc] (:robcee) 2012-03-05 08:02:57 PST
Comment on attachment 601979 [details] [diff] [review]
minimal patch for beta

clearing approval for beta. Alex stated that this does not meet the reqs for beta.
Comment 16 Alex Keybl [:akeybl] 2012-03-05 09:54:11 PST
(In reply to Rob Campbell [:rc] (robcee) from comment #15)
> Comment on attachment 601979 [details] [diff] [review]
> minimal patch for beta
> 
> clearing approval for beta. Alex stated that this does not meet the reqs for
> beta.

Sorry for the mis-flagging. This was the correct action.
Comment 17 Mihai Sucan [:msucan] 2012-03-17 05:05:44 PDT
*** Bug 736494 has been marked as a duplicate of this bug. ***
Comment 18 Ioana (away) 2012-04-02 06:36:20 PDT
Verified as fixed on:
Mozilla/5.0 (Windows NT 6.1; rv:12.0) Gecko/20100101 Firefox/12.0
Mozilla/5.0 (X11; Linux x86_64; rv:12.0) Gecko/20100101 Firefox/12.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:12.0) Gecko/20100101 Firefox/12.0
20120328051619

Note You need to log in before you can comment on or make changes to this bug.